<?php
session_start();
require_once("../funkcije.php");
if(isset($_GET['funkcija']))
{
    $db=konekcija();
    if(!$db)
    {
        echo "Greška prilikom konekcije na bazu!!!!<br>".mysqli_connect_error();
        exit();
    }
    $f=$_GET['funkcija'];
    switch($f)
    {
        case "vesti":
            $sql="SELECT vesti.*, kategorije.naziv FROM vesti INNER JOIN kategorije ON vesti.kategorija=kategorije.id WHERE vesti.obrisan=0 ORDER BY id DESC ";
            $rez=mysqli_query($db, $sql);
            if(mysqli_num_rows($rez)==0)
                echo "Nema nijedna vest u bazi!!!";
            else
            {
                while($red=mysqli_fetch_object($rez))
                {
                    echo "<div class='spoljni'>";
                    echo "<h4>$red->naslov</h4>";
                    echo "<div>$red->tekst</div>";
                    echo "<p>$red->naziv - ".date("d.m.Y H:i", strtotime($red->vreme))."</p>";
                    //echo "<a href='index.php?id=$red->id'>Pogledajte</a>";
                    echo "</div>";
                }
            }
            break;
        case "prikaz":
            $id=$_POST['id'];
            $sql="SELECT * FROM korisnici WHERE id=$id";
            $rez=mysqli_query($db, $sql);
            $odgovor=mysqli_fetch_all($rez, MYSQLI_ASSOC);
            echo JSON_encode($odgovor, 256);
            break;
        case "prijava":
            $korime=$_POST['korime'];
            $lozinka=$_POST['lozinka'];
            if($korime=="" or $lozinka=="")
            {
                echo "<span style='color:red'>Niste uneli sve podatke</span>";
                exit();
            }
            $sql="SELECT * FROM korisnici WHERE korime='{$korime}'";
            $rez=mysqli_query($db, $sql);
            if(mysqli_num_rows($rez)==0)
            {
                echo "<span style='color:red'>Ne postoji korisnik sa tim korisničkim imenom</span>";
                exit();
            }
            $red=mysqli_fetch_object($rez);
            if($red->lozinka!=$lozinka)
            {
                echo "<span style='color:red'>Pogrešna lozinka za korisnika $korime</span>";
                exit();
            }
            $_SESSION['userId']=$red->id;
            $_SESSION['user']="$red->ime $red->prezime";
            $_SESSION['status']=$red->status;
            //var_dump($_SESSION);
            echo "index.php";
            break;
        case "brisanje":
            $id=$_GET['id'];
            $sql="UPDATE vesti SET obrisan=1 WHERE id={$id}";
            mysqli_query($db, $sql);
            echo "Obrisano redova: ".mysqli_affected_rows($db);
            break;
        case "dodavanje":
            $naslov=$_POST['naslov'];
            $tekst=$_POST['tekst'];
            $kategorija=$_POST['kategorija'];
            $sql="INSERT INTO vesti (naslov, tekst, kategorija) VALUES ('{$naslov}', '{$tekst}', {$kategorija})";
            mysqli_query($db, $sql);
            if(mysqli_error($db))
                echo "Greška prilikom dodavanja vesti<br>".mysqli_error($db);
            else
                echo "Dodato vesti: ".mysqli_affected_rows($db);
            break;
        case "izmena":
            $id=$_POST['id'];
            $ime=$_POST['ime'];
            $prezime=$_POST['prezime'];
            $status=$_POST['status'];
            $sql="UPDATE korisnici SET ime='{$ime}', prezime='{$prezime}', status='{$status}' WHERE id=$id";
            mysqli_query($db, $sql);
            if(mysqli_error($db))
                echo "Greška!!!".mysqli_error($db);
            else
            {
                if($_SESSION['userId']==$id)
                {
                    $_SESSION['user']="$ime $prezime";
                    $_SESSION['status']=$status;
                }
                echo "Izmenjeno korisnika: ".mysqli_affected_rows($db);
            }

            break;
        case "popuniKorisnike":
            $sql="SELECT * FROM korisnici";
            $rez=mysqli_query($db, $sql);
            $odgovor=mysqli_fetch_all($rez, MYSQLI_ASSOC);
            echo JSON_encode($odgovor, 256);
            break;
    }
}