-- phpMyAdmin SQL Dump
-- version 4.9.2
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Dec 20, 2019 at 12:45 PM
-- Server version: 10.4.10-MariaDB
-- PHP Version: 7.1.33

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `pva_k2`
--

-- --------------------------------------------------------

--
-- Table structure for table `kategorije`
--

CREATE TABLE `kategorije` (
  `id` int(2) UNSIGNED NOT NULL,
  `naziv` varchar(20) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `kategorije`
--

INSERT INTO `kategorije` (`id`, `naziv`) VALUES
(1, 'Sport'),
(2, 'Kultura'),
(3, 'Hronika'),
(4, 'Svet');

-- --------------------------------------------------------

--
-- Table structure for table `korisnici`
--

CREATE TABLE `korisnici` (
  `id` int(10) UNSIGNED NOT NULL,
  `ime` varchar(20) NOT NULL,
  `prezime` varchar(20) NOT NULL,
  `korime` varchar(20) NOT NULL,
  `lozinka` varchar(20) NOT NULL,
  `status` enum('Administrator','Korisnik') NOT NULL,
  `vreme` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `korisnici`
--

INSERT INTO `korisnici` (`id`, `ime`, `prezime`, `korime`, `lozinka`, `status`, `vreme`) VALUES
(1, 'Boško', 'Bogojević', 'admin1', '123456', 'Administrator', '2019-12-20 08:27:43'),
(2, 'Pera', 'Perić', 'pera', 'pera', 'Korisnik', '2019-12-20 08:27:43');

-- --------------------------------------------------------

--
-- Table structure for table `vesti`
--

CREATE TABLE `vesti` (
  `id` int(3) UNSIGNED NOT NULL,
  `naslov` varchar(100) NOT NULL,
  `tekst` text NOT NULL,
  `kategorija` int(2) NOT NULL,
  `vreme` datetime NOT NULL DEFAULT current_timestamp(),
  `obrisan` int(11) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Dumping data for table `vesti`
--

INSERT INTO `vesti` (`id`, `naslov`, `tekst`, `kategorija`, `vreme`, `obrisan`) VALUES
(1, 'PUKLO DRUGARSTVO?! Rafael Nadal pred novinarima Novaku Đokoviću poručio', 'Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry\'s standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960s with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.', 1, '2019-12-20 11:15:11', 0),
(2, 'Sedam saobraćajnih nezgoda tokom noći u Beogradu, deset osoba povređeno', 'Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of \"de Finibus Bonorum et Malorum\" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum,', 3, '2019-12-20 11:15:11', 0),
(5, 'Kokan Mladenović: Mrzi vas da se bunite, e onda ćete ŽIVETI KAO GUSTAV', 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using \'Content here, content here\', making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for \'lorem ipsum\' will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose (injected humour and the like).', 2, '2019-12-20 11:37:01', 0),
(6, 'RODŽER, RAFA I JA SMO PRIČALI, NEIZBEŽNO JE... Novak Đoković potvrdio da stiže ono čega smo se SVI P', 'There are many variations of passages of Lorem Ipsum available, but the majority have suffered alteration in some form, by injected humour, or randomised words which don\'t look even slightly believable. If you are going to use a passage of Lorem Ipsum, you need to be sure there isn\'t anything embarrassing hidden in the middle of text. All the Lorem Ipsum generators on the Internet tend to repeat predefined chunks as necessary, making this the first true generator on the Internet. It uses a dictionary of over 200 Latin words, combined with a handful of model sentence structures, to generate Lorem Ipsum which looks reasonable. The generated Lorem Ipsum is therefore always free from repetition, injected humour, or non-characteristic words etc.', 1, '2019-12-20 11:38:06', 0),
(7, 'Venecuela: Vrhovni sud odbacio odluku Kongresa da poslanici GLASAJU VIRTUELNO', 'Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla bibendum, mauris id cursus pellentesque, dui nibh rutrum risus, cursus mollis dolor orci ut felis. Morbi molestie turpis nec scelerisque finibus. Donec sed convallis nisl. Ut diam est, mollis non magna quis, hendrerit ornare dolor. Curabitur consectetur vitae velit ut vulputate. Sed vehicula quam vitae sagittis varius. Suspendisse non suscipit diam. Fusce at accumsan lectus. Aenean vitae efficitur erat. Nullam purus nibh, iaculis sed dolor id, rhoncus eleifend nulla. Mauris porta velit at bibendum elementum. Sed scelerisque auctor faucibus. Orci varius natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Curabitur erat mi, rutrum ac bibendum ac, venenatis sit amet lorem.\n\nDonec fringilla justo ligula, et malesuada quam condimentum sit amet. Vivamus ut ornare urna. Sed iaculis magna mi, in venenatis est sodales vel. In efficitur sed sem ac faucibus. Donec nec tincidunt ex. Cras nec elementum lacus. Mauris venenatis auctor ex, ac cursus ex consectetur mollis. Nullam eleifend tincidunt facilisis. Sed a egestas massa. Morbi diam justo, suscipit dignissim ullamcorper sed, egestas vitae augue. Integer in arcu eu ipsum laoreet rhoncus non non orci. ', 4, '2019-12-20 11:51:42', 0);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `kategorije`
--
ALTER TABLE `kategorije`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `korisnici`
--
ALTER TABLE `korisnici`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `vesti`
--
ALTER TABLE `vesti`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `kategorije`
--
ALTER TABLE `kategorije`
  MODIFY `id` int(2) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `korisnici`
--
ALTER TABLE `korisnici`
  MODIFY `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `vesti`
--
ALTER TABLE `vesti`
  MODIFY `id` int(3) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
